package com.kingdee.eas.custom.compensation.push_bill;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractPayrollDistributionSlipEntryInfo extends com.kingdee.eas.hr.base.HRBillBaseEntryInfo implements Serializable 
{
    public AbstractPayrollDistributionSlipEntryInfo()
    {
        this("id");
    }
    protected AbstractPayrollDistributionSlipEntryInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 分录 's 单据头 property 
     */
    public com.kingdee.eas.custom.compensation.push_bill.PayrollDistributionSlipInfo getBill()
    {
        return (com.kingdee.eas.custom.compensation.push_bill.PayrollDistributionSlipInfo)get("bill");
    }
    public void setBill(com.kingdee.eas.custom.compensation.push_bill.PayrollDistributionSlipInfo item)
    {
        put("bill", item);
    }
    /**
     * Object: 分录 's 员工 property 
     */
    public com.kingdee.eas.basedata.person.PersonInfo getPerson()
    {
        return (com.kingdee.eas.basedata.person.PersonInfo)get("person");
    }
    public void setPerson(com.kingdee.eas.basedata.person.PersonInfo item)
    {
        put("person", item);
    }
    /**
     * Object:分录's 生效日期property 
     */
    public java.util.Date getBizDate()
    {
        return getDate("bizDate");
    }
    public void setBizDate(java.util.Date item)
    {
        setDate("bizDate", item);
    }
    /**
     * Object:分录's 备注property 
     */
    public String getDescription()
    {
        return getString("description");
    }
    public void setDescription(String item)
    {
        setString("description", item);
    }
    /**
     * Object: 分录 's 所属行政组织 property 
     */
    public com.kingdee.eas.basedata.org.AdminOrgUnitInfo getOldAdminOrg()
    {
        return (com.kingdee.eas.basedata.org.AdminOrgUnitInfo)get("oldAdminOrg");
    }
    public void setOldAdminOrg(com.kingdee.eas.basedata.org.AdminOrgUnitInfo item)
    {
        put("oldAdminOrg", item);
    }
    /**
     * Object: 分录 's 职位 property 
     */
    public com.kingdee.eas.basedata.org.PositionInfo getOldPosition()
    {
        return (com.kingdee.eas.basedata.org.PositionInfo)get("oldPosition");
    }
    public void setOldPosition(com.kingdee.eas.basedata.org.PositionInfo item)
    {
        put("oldPosition", item);
    }
    /**
     * Object: 分录 's 当前职务 property 
     */
    public com.kingdee.eas.basedata.org.JobInfo getOldJob()
    {
        return (com.kingdee.eas.basedata.org.JobInfo)get("oldJob");
    }
    public void setOldJob(com.kingdee.eas.basedata.org.JobInfo item)
    {
        put("oldJob", item);
    }
    /**
     * Object: 分录 's 当前职级 property 
     */
    public com.kingdee.eas.hr.org.JobLevelInfo getOldJobLevel()
    {
        return (com.kingdee.eas.hr.org.JobLevelInfo)get("oldJobLevel");
    }
    public void setOldJobLevel(com.kingdee.eas.hr.org.JobLevelInfo item)
    {
        put("oldJobLevel", item);
    }
    /**
     * Object: 分录 's 当前职等 property 
     */
    public com.kingdee.eas.hr.org.JobGradeInfo getOldJobGrade()
    {
        return (com.kingdee.eas.hr.org.JobGradeInfo)get("oldJobGrade");
    }
    public void setOldJobGrade(com.kingdee.eas.hr.org.JobGradeInfo item)
    {
        put("oldJobGrade", item);
    }
    /**
     * Object: 分录 's 目标行政组织 property 
     */
    public com.kingdee.eas.basedata.org.AdminOrgUnitInfo getAdminOrg()
    {
        return (com.kingdee.eas.basedata.org.AdminOrgUnitInfo)get("adminOrg");
    }
    public void setAdminOrg(com.kingdee.eas.basedata.org.AdminOrgUnitInfo item)
    {
        put("adminOrg", item);
    }
    /**
     * Object: 分录 's 目标职位 property 
     */
    public com.kingdee.eas.basedata.org.PositionInfo getPosition()
    {
        return (com.kingdee.eas.basedata.org.PositionInfo)get("position");
    }
    public void setPosition(com.kingdee.eas.basedata.org.PositionInfo item)
    {
        put("position", item);
    }
    /**
     * Object: 分录 's 目标职务 property 
     */
    public com.kingdee.eas.basedata.org.JobInfo getJob()
    {
        return (com.kingdee.eas.basedata.org.JobInfo)get("job");
    }
    public void setJob(com.kingdee.eas.basedata.org.JobInfo item)
    {
        put("job", item);
    }
    /**
     * Object: 分录 's 目标职级 property 
     */
    public com.kingdee.eas.hr.org.JobLevelInfo getJobLevel()
    {
        return (com.kingdee.eas.hr.org.JobLevelInfo)get("jobLevel");
    }
    public void setJobLevel(com.kingdee.eas.hr.org.JobLevelInfo item)
    {
        put("jobLevel", item);
    }
    /**
     * Object: 分录 's 目标职等 property 
     */
    public com.kingdee.eas.hr.org.JobGradeInfo getJobGrade()
    {
        return (com.kingdee.eas.hr.org.JobGradeInfo)get("jobGrade");
    }
    public void setJobGrade(com.kingdee.eas.hr.org.JobGradeInfo item)
    {
        put("jobGrade", item);
    }
    /**
     * Object:分录's 发薪周期property 
     */
    public java.util.Date getPayrollPeriod()
    {
        return getDate("payrollPeriod");
    }
    public void setPayrollPeriod(java.util.Date item)
    {
        setDate("payrollPeriod", item);
    }
    /**
     * Object: 分录 's 发薪单位 property 
     */
    public com.kingdee.eas.basedata.org.AdminOrgUnitInfo getPayrollUnit()
    {
        return (com.kingdee.eas.basedata.org.AdminOrgUnitInfo)get("payrollUnit");
    }
    public void setPayrollUnit(com.kingdee.eas.basedata.org.AdminOrgUnitInfo item)
    {
        put("payrollUnit", item);
    }
    /**
     * Object:分录's 银行卡号property 
     */
    public String getBankAccountNo()
    {
        return getString("bankAccountNo");
    }
    public void setBankAccountNo(String item)
    {
        setString("bankAccountNo", item);
    }
    /**
     * Object:分录's 开户支行property 
     */
    public String getBankBranch()
    {
        return getString("bankBranch");
    }
    public void setBankBranch(String item)
    {
        setString("bankBranch", item);
    }
    /**
     * Object:分录's 行号property 
     */
    public String getBankCode()
    {
        return getString("bankCode");
    }
    public void setBankCode(String item)
    {
        setString("bankCode", item);
    }
    /**
     * Object:分录's 实发金额property 
     */
    public java.math.BigDecimal getActualPayAmount()
    {
        return getBigDecimal("actualPayAmount");
    }
    public void setActualPayAmount(java.math.BigDecimal item)
    {
        setBigDecimal("actualPayAmount", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("0C8ECC54");
    }
}